Name:           klick
Version:        0.12.99+git20140604.2208
Release:        1.2
Summary:        Advanced JACK-based metronome

Group:          Productivity/Multimedia/Sound/Utilities
License:        GPL-2.0+
URL:            https://github.com/dsacre/klick
Source:         %{name}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  scons
BuildRequires:  python

%description
klick is an advanced JACK-based metronome, supporting tempo changes,
meter changes, and more. It allows you to define complex tempo maps
for entire songs or performances.

%prep
%setup -q -n %{name}
# I really hate scons because of this ...
SCONS_FLAGS=$(echo %optflags | sed "s: :', ':g")
sed -i -e "s:env.Append(CCFLAGS.*:env.Append(CCFLAGS = ['$SCONS_FLAGS']):g" SConstruct

%build
scons \
  %{?_smp_mflags} \
  DEBUG=yes \
  OSC=yes \
  RUBBERBAND=yes \
  TERMINAL=yes \
  PREFIX=%{_prefix}

%install
scons DESTDIR=%{buildroot} install
# remove samples
rm -rf %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc COPYING NEWS README doc/manual.html
%{_bindir}/%{name}

%changelog
* Sat May 10 2014 johannesobermayr@gmx.de
- Built it on Packman (0.12.2)
  * %%optflags %%_smp_mflags
  * don't install samples
* Wed Feb  8 2012 huaren.zhong@gmail.com
- Rebuild for Fedora
* Tue Jul 14 2009 fabian@bernewireless.net
- Updated to new upstream version 0.12.0
* Sat Apr 18 2009 fabian@bernewireless.net
- Initial package for Fedora
